> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit organization's default import settings



## OpenAPI

````yaml /openapi/phrase-tms-latest.json put /api2/v1/importSettings/default
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/importSettings/default:
    put:
      tags:
        - Import settings
      summary: Edit organization's default import settings
      operationId: editDefaultImportSettings
      requestBody:
        $ref: '#/components/requestBodies/ImportSettingsEditDtoV1'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportSettingsDtoV1'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  requestBodies:
    ImportSettingsEditDtoV1:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ImportSettingsEditDtoV1'
  schemas:
    ImportSettingsDtoV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        fileImportSettings:
          $ref: '#/components/schemas/FileImportSettingsDtoV1'
        name:
          type: string
        uid:
          type: string
    ImportSettingsEditDtoV1:
      type: object
      required:
        - fileImportSettings
        - name
        - uid
      properties:
        fileImportSettings:
          $ref: '#/components/schemas/FileImportSettingsCreateDtoV1'
        name:
          type: string
        uid:
          type: string
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        role:
          type: string
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
        userName:
          type: string
    FileImportSettingsDtoV1:
      type: object
      properties:
        android:
          $ref: '#/components/schemas/AndroidSettingsDtoV1'
        asciidoc:
          $ref: '#/components/schemas/AsciidocSettingsDtoV1'
        autodetectMultilingualFiles:
          type: boolean
        csv:
          $ref: '#/components/schemas/CsvSettingsDtoV1'
        dita:
          $ref: '#/components/schemas/DitaSettingsDtoV1'
        doc:
          $ref: '#/components/schemas/DocSettingsDtoV1'
        docBook:
          $ref: '#/components/schemas/DocBookSettingsDtoV1'
        fileFormat:
          type: string
        html:
          $ref: '#/components/schemas/HtmlSettingsDtoV1'
        idml:
          $ref: '#/components/schemas/IdmlSettingsDtoV1'
        inputCharset:
          type: string
        json:
          $ref: '#/components/schemas/JsonSettingsDtoV1'
        mac:
          $ref: '#/components/schemas/MacSettingsDtoV1'
        md:
          $ref: '#/components/schemas/MdSettingsDtoV1'
        mif:
          $ref: '#/components/schemas/MifSettingsDtoV1'
        multilingualCsv:
          $ref: '#/components/schemas/MultilingualCsvSettingsDtoV1'
        multilingualXls:
          $ref: '#/components/schemas/MultilingualXlsSettingsDtoV1'
        multilingualXml:
          $ref: '#/components/schemas/MultilingualXmlSettingsDtoV1'
        outputCharset:
          type: string
        pdf:
          $ref: '#/components/schemas/PdfSettingsDtoV1'
        php:
          $ref: '#/components/schemas/PhpSettingsDtoV1'
        po:
          $ref: '#/components/schemas/PoSettingsDtoV1'
        ppt:
          $ref: '#/components/schemas/PptSettingsDtoV1'
        properties:
          $ref: '#/components/schemas/PropertiesSettingsDtoV1'
        psd:
          $ref: '#/components/schemas/PsdSettingsDtoV1'
        quarkTag:
          $ref: '#/components/schemas/QuarkTagSettingsDtoV1'
        resx:
          $ref: '#/components/schemas/ResxSettingsDtoV1'
        sdlXlf:
          $ref: '#/components/schemas/SdlXlfSettingsDtoV1'
        segRule:
          $ref: '#/components/schemas/SegRuleReferenceV1'
        targetLength:
          type: boolean
        targetLengthMax:
          type: integer
          format: int32
        targetLengthPercent:
          type: boolean
        targetLengthPercentValue:
          type: number
          format: double
        targetSegRule:
          $ref: '#/components/schemas/SegRuleReferenceV1'
        tmMatch:
          $ref: '#/components/schemas/TMMatchSettingsDtoV1'
        ttx:
          $ref: '#/components/schemas/TtxSettingsDtoV1'
        txt:
          $ref: '#/components/schemas/TxtSettingsDtoV1'
        xlf:
          $ref: '#/components/schemas/XlfSettingsDtoV1'
        xlf2:
          $ref: '#/components/schemas/Xlf2SettingsDtoV1'
        xls:
          $ref: '#/components/schemas/XlsSettingsDtoV1'
        xml:
          $ref: '#/components/schemas/XmlSettingsDtoV1'
        yaml:
          $ref: '#/components/schemas/YamlSettingsDtoV1'
        zipCharset:
          type: string
    FileImportSettingsCreateDtoV1:
      type: object
      properties:
        android:
          $ref: '#/components/schemas/AndroidSettingsDtoV1'
        asciidoc:
          $ref: '#/components/schemas/AsciidocSettingsDtoV1'
        autodetectMultilingualFiles:
          type: boolean
          description: >-
            Try to use multilingual variants for auto-detected CSV and Excel
            files. Default: true
        csv:
          $ref: '#/components/schemas/CsvSettingsDtoV1'
        dita:
          $ref: '#/components/schemas/DitaSettingsDtoV1'
        doc:
          $ref: '#/components/schemas/DocSettingsDtoV1'
        docBook:
          $ref: '#/components/schemas/DocBookSettingsDtoV1'
        fileFormat:
          type: string
          description: 'default: auto-detect'
          enum:
            - auto-detect
            - doc
            - ppt
            - xls
            - xlf
            - xlf2
            - sdlxlif
            - ttx
            - html
            - xml
            - mif
            - tmx
            - idml
            - dita
            - json
            - po
            - ts
            - icml
            - yaml
            - properties
            - csv
            - android_string
            - desktop_entry
            - mac_strings
            - pdf
            - windows_rc
            - xml_properties
            - joomla_ini
            - magento_csv
            - dtd
            - mozilla_properties
            - plist
            - plain_text
            - srt
            - sub
            - sbv
            - wiki
            - resx
            - resjson
            - chrome_json
            - epub
            - svg
            - docbook
            - wpxliff
            - multiling_xml
            - multiling_xls
            - mqxliff
            - php
            - psd
            - tag
            - md
            - vtt
        html:
          $ref: '#/components/schemas/HtmlSettingsDtoV1'
        idml:
          $ref: '#/components/schemas/IdmlSettingsDtoV1'
        inputCharset:
          type: string
        json:
          $ref: '#/components/schemas/JsonSettingsDtoV1'
        mac:
          $ref: '#/components/schemas/MacSettingsDtoV1'
        md:
          $ref: '#/components/schemas/MdSettingsDtoV1'
        mif:
          $ref: '#/components/schemas/MifSettingsDtoV1'
        multilingualCsv:
          $ref: '#/components/schemas/MultilingualCsvSettingsDtoV1'
        multilingualXls:
          $ref: '#/components/schemas/MultilingualXlsSettingsDtoV1'
        multilingualXml:
          $ref: '#/components/schemas/MultilingualXmlSettingsDtoV1'
        outputCharset:
          type: string
        pdf:
          $ref: '#/components/schemas/PdfSettingsDtoV1'
        php:
          $ref: '#/components/schemas/PhpSettingsDtoV1'
        po:
          $ref: '#/components/schemas/PoSettingsDtoV1'
        ppt:
          $ref: '#/components/schemas/PptSettingsDtoV1'
        properties:
          $ref: '#/components/schemas/PropertiesSettingsDtoV1'
        psd:
          $ref: '#/components/schemas/PsdSettingsDtoV1'
        quarkTag:
          $ref: '#/components/schemas/QuarkTagSettingsDtoV1'
        resx:
          $ref: '#/components/schemas/ResxSettingsDtoV1'
        sdlXlf:
          $ref: '#/components/schemas/SdlXlfSettingsDtoV1'
        segmentationRuleId:
          type: integer
          format: int64
        targetLength:
          type: boolean
          description: 'Default: false'
        targetLengthMax:
          type: integer
          format: int32
          description: 'default: 1000'
        targetLengthPercent:
          type: boolean
          description: 'Default: false'
        targetLengthPercentValue:
          type: number
          format: double
          description: 'default: 130'
        targetSegmentationRuleId:
          type: integer
          format: int64
        tmMatch:
          $ref: '#/components/schemas/TMMatchSettingsDtoV1'
        ttx:
          $ref: '#/components/schemas/TtxSettingsDtoV1'
        txt:
          $ref: '#/components/schemas/TxtSettingsDtoV1'
        xlf:
          $ref: '#/components/schemas/XlfSettingsDtoV1'
        xlf2:
          $ref: '#/components/schemas/Xlf2SettingsDtoV1'
        xls:
          $ref: '#/components/schemas/XlsSettingsDtoV1'
        xml:
          $ref: '#/components/schemas/XmlSettingsDtoV1'
        yaml:
          $ref: '#/components/schemas/YamlSettingsDtoV1'
        zipCharset:
          type: string
    AndroidSettingsDtoV1:
      type: object
      properties:
        icuSubFilter:
          type: boolean
          description: 'Default: `false`'
        tagRegexp:
          type: string
    AsciidocSettingsDtoV1:
      type: object
      properties:
        extractBtnMenuLabels:
          type: boolean
          description: 'Default: `false`'
        extractCustomDocumentAttributeNameRegexp:
          type: string
          description: 'Default: `.*`'
        htmlInPassthrough:
          type: boolean
          description: 'Default: `false`'
        nontranslatableMonospaceCustomStylesRegexp:
          type: string
        tagRegexp:
          type: string
    CsvSettingsDtoV1:
      type: object
      properties:
        contextKeyColumn:
          type: string
        contextNoteColumns:
          type: string
        delimiter:
          type: string
          description: 'Default: ,'
        delimiterType:
          type: string
          description: 'Default: COMMA'
          enum:
            - TAB
            - COMMA
            - SEMICOLON
            - OTHER
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        importColumns:
          type: string
        importRows:
          type: string
        maxLenColumn:
          type: string
        tagRegexp:
          type: string
    DitaSettingsDtoV1:
      type: object
      properties:
        excludeTags:
          type: string
        extractSeparateSegmentsXpath:
          type: string
        includeTags:
          type: string
        inlineTags:
          type: string
        inlineTagsNonTranslatable:
          type: string
        tagRegexp:
          type: string
    DocSettingsDtoV1:
      type: object
      properties:
        altText:
          type: boolean
          description: 'Default: false'
        applyTrackChanges:
          type: boolean
          description: 'Default: true'
        comments:
          type: boolean
          description: 'Default: false'
        headerFooter:
          type: boolean
          description: 'Default: true'
        hidden:
          type: boolean
          description: 'Default: false'
        hyperlinkTarget:
          type: boolean
          description: 'Default: false'
        index:
          type: boolean
          description: 'Default: true'
        joinSimilarRuns:
          type: boolean
          description: 'Default: false'
        ocrImageText:
          type: boolean
          description: 'Default: false'
        other:
          type: boolean
          description: 'Default: false'
        properties:
          type: boolean
          description: 'Default: false'
          readOnly: true
        tagRegexp:
          type: string
        targetFont:
          type: string
    DocBookSettingsDtoV1:
      type: object
      properties:
        excludeTags:
          type: string
        includeTags:
          type: string
        inlineTags:
          type: string
        inlineTagsNonTranslatable:
          type: string
        tagRegexp:
          type: string
    HtmlSettingsDtoV1:
      type: object
      properties:
        breakTagCreatesSegment:
          type: boolean
          description: 'Default: true'
        charEntitiesToTags:
          type: string
        escapeDisabled:
          type: boolean
          description: 'Default: `false`'
        excludeElements:
          type: string
          description: 'Example: "script,blockquote"'
        importComments:
          type: boolean
          description: 'Default: true'
        importDefaultAttributes:
          type: boolean
          description: 'Default: true'
        importDefaultMetaTags:
          type: boolean
          description: 'Default: true'
        nonTranslatableInlineElements:
          type: string
          description: 'Example: "code"'
        preserveWhitespace:
          type: boolean
          description: 'Default: false'
        segmentationBeginTagPlaceholder:
          type: string
        segmentationEndTagPlaceholder:
          type: string
        segmentationSingleTagPlaceholder:
          type: string
        tagRegexp:
          type: string
        translatableAttributes:
          type: string
        translatableInlineElements:
          type: string
          description: 'Example: "span"'
        translateMetaTagRegexp:
          type: string
        unknownTagCreatesTag:
          type: boolean
          description: 'Default: true'
        updateLang:
          type: boolean
          description: 'Default: false'
    IdmlSettingsDtoV1:
      type: object
      properties:
        extractCrossReferenceFormats:
          type: boolean
          description: 'Default: true'
        extractHiddenConditionalText:
          type: boolean
          description: 'Default: false'
        extractHyperlinks:
          type: boolean
          description: 'Default: false'
        extractInvisibleLayers:
          type: boolean
          description: 'Default: false'
        extractLockedLayers:
          type: boolean
          description: 'Default: true'
        extractMasterSpreads:
          type: boolean
          description: 'Default: true'
        extractNotes:
          type: boolean
          description: 'Default: false'
        extractVariables:
          type: boolean
          description: 'Default: true'
        keepKerning:
          type: boolean
          description: 'Default: false'
        keepTracking:
          type: boolean
          description: 'Default: false'
        removeXmlElements:
          type: boolean
          description: 'Default: false'
        replaceFont:
          type: boolean
          description: 'Default: true'
        simplifyCodes:
          type: boolean
          description: 'Default: true'
        tagRegexp:
          type: string
        targetFont:
          type: string
    JsonSettingsDtoV1:
      type: object
      properties:
        contextKeyPath:
          type: string
        contextNotePath:
          type: string
        excludeKeyRegexp:
          type: string
        htmlSubFilter:
          type: boolean
          description: 'Default: true'
        icuSubFilter:
          type: boolean
          description: 'Default: false'
        includeKeyRegexp:
          type: string
        maxLenPath:
          type: string
        tagRegexp:
          type: string
    MacSettingsDtoV1:
      type: object
      properties:
        htmlSubfilter:
          type: boolean
          description: 'Default: false'
        icuSubFilter:
          type: boolean
          description: 'Default: `false`'
        tagRegexp:
          type: string
    MdSettingsDtoV1:
      type: object
      properties:
        customElements:
          type: string
        excludeCodeElements:
          type: boolean
          description: 'Default: false'
        extractCodeBlocks:
          type: boolean
          description: 'Default: true'
        flavor:
          type: string
          description: 'Default: PLAIN'
          enum:
            - PLAIN
            - PHP
            - GITHUB
        hardLineBreaksSegments:
          type: boolean
          description: 'Default: true'
        ignoredBlockPrefixes:
          type: string
        notEscapedCharacters:
          type: string
        preserveWhiteSpaces:
          type: boolean
          description: 'Default: false'
        processJekyllFrontMatter:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
    MifSettingsDtoV1:
      type: object
      properties:
        extractBodyPages:
          type: boolean
          description: 'Default: true'
        extractCustomReferencePages:
          type: boolean
          description: 'Default: true'
        extractDefaultReferencePages:
          type: boolean
          description: 'Default: false'
        extractHiddenCondText:
          type: boolean
          description: 'Default: false'
        extractHiddenPages:
          type: boolean
          description: 'Default: false'
        extractIndexMarkers:
          type: boolean
          description: 'Default: true'
        extractLinks:
          type: boolean
          description: 'Default: false'
        extractMasterPages:
          type: boolean
          description: 'Default: true'
        extractPgfNumFormat:
          type: boolean
          description: 'Default: true'
        extractReferencePages:
          type: boolean
          description: 'Default: false'
        extractUsedPgfNumFormat:
          type: boolean
          description: 'Default: true'
        extractUsedVariables:
          type: boolean
          description: 'Default: true'
        extractUsedXRefDef:
          type: boolean
          description: 'Default: true'
        extractVariables:
          type: boolean
          description: 'Default: false'
        extractXRefDef:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
    MultilingualCsvSettingsDtoV1:
      type: object
      properties:
        allTargetColumns:
          type: object
          description: 'Format: "language":"column"; example: {"en": "A", "sk": "B"}'
          additionalProperties:
            type: string
        contextKeyColumns:
          type: string
        contextNoteColumns:
          type: string
        delimiter:
          type: string
          description: 'Default: ,'
          minLength: 0
          maxLength: 255
        delimiterType:
          type: string
          description: 'Default: COMMA'
          minLength: 0
          maxLength: 255
          enum:
            - TAB
            - COMMA
            - SEMICOLON
            - OTHER
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        importRows:
          type: string
        maxLenColumns:
          type: string
        nonEmptySegmentAction:
          type: string
          enum:
            - NONE
            - CONFIRM
            - LOCK
            - CONFIRM_LOCK
        saveConfirmedSegmentsToTm:
          type: boolean
        segmentation:
          type: boolean
          description: 'Default: true'
        sourceColumns:
          type: string
        tagRegexp:
          type: string
        targetColumns:
          type: string
    MultilingualXlsSettingsDtoV1:
      type: object
      properties:
        contextKeyColumn:
          type: string
        contextNoteColumn:
          type: string
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        importRows:
          type: string
        maxLenColumn:
          type: string
        nonEmptySegmentAction:
          type: string
          enum:
            - NONE
            - CONFIRM
            - LOCK
            - CONFIRM_LOCK
        saveConfirmedSegmentsToTm:
          type: boolean
        segmentation:
          type: boolean
          description: 'Default: true'
        sourceColumn:
          type: string
        tagRegexp:
          type: string
        targetColumns:
          type: object
          description: 'Format: "language":"column"; example: {"en": "A", "sk": "B"}'
          additionalProperties:
            type: string
    MultilingualXmlSettingsDtoV1:
      type: object
      properties:
        contextKeyXPath:
          type: string
        contextNoteXPath:
          type: string
        htmlSubFilter:
          type: boolean
          description: 'Default: `false`'
        icuSubFilter:
          type: boolean
          description: 'Default: `false`'
        inlineElementsNonTranslatableXPath:
          type: string
        maxLenXPath:
          type: string
        nonEmptySegmentAction:
          type: string
          enum:
            - NONE
            - CONFIRM
            - LOCK
            - CONFIRM_LOCK
        preserveCharEntities:
          type: string
        preserveWhitespace:
          type: boolean
          description: 'Default: `false`'
        saveConfirmedSegmentsToTm:
          type: boolean
        segmentation:
          type: boolean
          description: 'Default: `true`'
        sourceElementsXPath:
          type: string
        tagRegexp:
          type: string
        targetElementsXPaths:
          type: object
          description: |-
            'Format: "language":"xpath";
                        example = '{"en": "tuv[@lang='en']/seg", "sk": "tuv[@lang='sk']/seg"}
          additionalProperties:
            type: string
        translatableElementsXPath:
          type: string
        xslFile:
          type: string
          description: UID of uploaded XSL file, overrides xslUrl
        xslUrl:
          type: string
    PdfSettingsDtoV1:
      type: object
      properties:
        filter:
          type: string
          description: 'Default: TRANS_PDF'
          enum:
            - TRANS_PDF
            - DEFAULT
            - CONVERT_API
        ocrMode:
          type: string
        wysiwyg:
          type: boolean
    PhpSettingsDtoV1:
      type: object
      properties:
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
    PoSettingsDtoV1:
      type: object
      properties:
        contextKeySuffixType:
          type: string
          enum:
            - MSGCTXT
            - MSGID
            - MSGCTXT_AND_MSGID
            - MSGCTXT_OR_MSGID
        exportConfirmedLocked:
          type: string
          enum:
            - FUZZY
            - NONFUZZY
        exportConfirmedNotLocked:
          type: string
          enum:
            - FUZZY
            - NONFUZZY
        exportMultiline:
          type: boolean
          description: 'Default: true'
        exportNotConfirmedLocked:
          type: string
          enum:
            - FUZZY
            - NONFUZZY
        exportNotConfirmedNotLocked:
          type: string
          enum:
            - FUZZY
            - NONFUZZY
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        icuSubFilter:
          type: boolean
          description: 'Default: `false`'
        importSetSegmentConfirmedWhen:
          type: string
          enum:
            - FUZZY
            - NONFUZZY
        importSetSegmentLockedWhen:
          type: string
          enum:
            - FUZZY
            - NONFUZZY
        markupSubFilterNonTranslatable:
          type: string
        markupSubFilterTranslatable:
          type: string
        saveConfirmedSegments:
          type: boolean
        segment:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
        updateHeader:
          type: boolean
          description: 'Default: `false`'
    PptSettingsDtoV1:
      type: object
      properties:
        altText:
          type: boolean
          description: 'Default: false'
        hiddenSlides:
          type: boolean
          description: 'Default: false'
        masterSlides:
          type: boolean
          description: 'Default: false'
        notes:
          type: boolean
          description: 'Default: false'
        other:
          type: boolean
          description: 'Default: false'
    PropertiesSettingsDtoV1:
      type: object
      properties:
        tagRegexp:
          type: string
    PsdSettingsDtoV1:
      type: object
      properties:
        extractHiddenLayers:
          type: boolean
          description: 'Default: true'
        extractLockedLayers:
          type: boolean
          description: 'Default: true'
        tagRegexp:
          type: string
    QuarkTagSettingsDtoV1:
      type: object
      properties:
        removeKerningTrackingTags:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
    ResxSettingsDtoV1:
      type: object
      properties:
        htmlSubFilter:
          type: boolean
        tagRegexp:
          type: string
    SdlXlfSettingsDtoV1:
      type: object
      properties:
        exportAttrsWhenConfirmedAndLocked:
          type: string
          description: 'Default: locked=true'
        exportAttrsWhenConfirmedAndNotLocked:
          type: string
        exportAttrsWhenNotConfirmedAndLocked:
          type: string
          description: 'Default: locked=true'
        exportAttrsWhenNotConfirmedAndNotLocked:
          type: string
        icuSubFilter:
          type: boolean
          description: 'Default: false'
        importAsConfirmedRules:
          type: string
        importAsLockedRules:
          type: string
          description: 'Default: locked=true'
        saveConfirmedSegments:
          type: boolean
          description: 'Default: true'
        skipImportRules:
          type: string
          description: 'Default: translate=no'
        tagRegexp:
          type: string
    SegRuleReferenceV1:
      type: object
      properties:
        filename:
          type: string
        id:
          type: string
        language:
          type: string
        name:
          type: string
        primary:
          type: boolean
        uid:
          type: string
    TMMatchSettingsDtoV1:
      type: object
      properties:
        contextType:
          type: string
          description: 'Default: PREV_AND_NEXT_SEGMENT'
          enum:
            - AUTO
            - PREV_AND_NEXT_SEGMENT
            - SEGMENT_KEY
            - NO_CONTEXT
        ignoreTagMetadata:
          type: boolean
          description: 'Default: true'
        metadataPriority:
          $ref: '#/components/schemas/MetadataPrioritySettingsDtoV1'
        penalizeMultiContextMatch:
          type: boolean
          description: 'Default: false'
        prevOrNextSegment:
          type: boolean
          description: 'Default: false'
    TtxSettingsDtoV1:
      type: object
      properties:
        saveConfirmedSegments:
          type: boolean
          description: 'Default: true'
    TxtSettingsDtoV1:
      type: object
      properties:
        contextKey:
          type: string
        regexpCapturingGroups:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
        translatableTextRegexp:
          type: string
    XlfSettingsDtoV1:
      type: object
      properties:
        contextType:
          type: string
        copySourceToTargetIfNotImported:
          type: boolean
          description: 'Default: true'
        exportAttrsWhenConfirmedAndLocked:
          type: string
        exportAttrsWhenConfirmedAndNotLocked:
          type: string
        exportAttrsWhenNotConfirmedAndLocked:
          type: string
        exportAttrsWhenNotConfirmedAndNotLocked:
          type: string
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        icuSubFilter:
          type: boolean
          description: 'Default: false'
        importAsConfirmedRules:
          type: string
          description: Multiple rules must be separated by semicolon
        importAsConfirmedXPath:
          type: string
        importAsLockedRules:
          type: string
        importAsLockedXPath:
          type: string
        importNotes:
          type: boolean
          description: 'Default: true'
        importXPath:
          type: string
        lineBreakTags:
          type: boolean
          description: 'Default: false'
        preserveCharEntities:
          type: string
        preserveWhitespace:
          type: boolean
          description: 'Default: true'
        saveConfirmedSegments:
          type: boolean
          description: 'Default: true'
        segmentation:
          type: boolean
          description: 'Default: true'
        skipImportRules:
          type: string
          description: >-
            Default: translate=no; examples:
            translate=no;approved=no;state=needs-adaptation
        tagRegexp:
          type: string
        updateTargetLanguage:
          type: boolean
          description: 'Default: false'
        xslFile:
          type: string
          description: UID of uploaded XSL file, overrides xslUrl
        xslUrl:
          type: string
    Xlf2SettingsDtoV1:
      type: object
      properties:
        contextKeyXPath:
          type: string
        copySourceToTargetIfNotImported:
          type: boolean
          description: 'Default: true'
        exportAttrsWhenConfirmedAndLocked:
          type: string
          description: 'Default: state=final'
        exportAttrsWhenConfirmedAndNotLocked:
          type: string
          description: 'Default: state=final'
        exportAttrsWhenNotConfirmedAndLocked:
          type: string
        exportAttrsWhenNotConfirmedAndNotLocked:
          type: string
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        icuSubFilter:
          type: boolean
          description: 'Default: false'
        importAsConfirmedRules:
          type: string
          description: 'Default: state=final'
        importAsLockedRules:
          type: string
        importNotes:
          type: boolean
          description: 'Default: true'
        lineBreakTags:
          type: boolean
          description: 'Default: false'
        preserveCharEntities:
          type: string
        preserveWhitespace:
          type: boolean
          description: 'Default: true'
        respectTranslateAttr:
          type: boolean
          description: 'Default: true'
        saveConfirmedSegments:
          type: boolean
          description: 'Default: true'
        segmentation:
          type: boolean
          description: 'Default: true'
        skipImportRules:
          type: string
        tagRegexp:
          type: string
        updateTargetLanguage:
          type: boolean
          description: 'Default: false'
        xslFile:
          type: string
          description: UID of uploaded XSL file, overrides xslUrl
        xslUrl:
          type: string
    XlsSettingsDtoV1:
      type: object
      properties:
        cellFlow:
          type: string
          description: 'Default: DownRight'
          enum:
            - DownRight
            - RightDown
            - DownLeft
            - LeftDown
        comments:
          type: boolean
          description: 'Default: false'
        hidden:
          type: boolean
          description: 'Default: false'
        htmlSubfilter:
          type: boolean
          description: 'Default: false'
        other:
          type: boolean
          description: 'Default: false'
        sheetNames:
          type: boolean
          description: 'Default: false'
        specifiedColumns:
          type: string
        tagRegexp:
          type: string
    XmlSettingsDtoV1:
      type: object
      properties:
        assistantProfile:
          type: string
        contextKeyXPath:
          type: string
        contextNoteXpath:
          type: string
        entities:
          type: boolean
          description: 'Default: `false`'
        excludeAttributesPlain:
          type: string
          description: 'Example: `"lang,href"`'
        excludeElementsPlain:
          type: string
          description: 'Example: `"script,par"`'
        expandEntities:
          type: boolean
          description: 'Default: `false`'
        htmlSubfilterElementsPlain:
          type: string
          description: 'Example: `"tt,b"`'
        htmlSubfilterElementsXpath:
          type: string
        icuSubFilter:
          type: boolean
          description: 'Default: `false`'
        importComments:
          type: boolean
          description: 'Default: `true`'
        includeAttributesPlain:
          type: string
          description: 'Example: `"title"`'
        includeElementsPlain:
          type: string
          description: 'Default: `"*"`, example: `"para,heading"`'
        includeXPath:
          type: string
        inlineElementsAutoPlain:
          type: boolean
          description: 'Default: `false`'
        inlineElementsAutoXPath:
          type: boolean
          description: 'Default: `false`'
        inlineElementsNonTranslatablePlain:
          type: string
          description: 'Example: `"tt,b"`'
        inlineElementsNonTranslatableXPath:
          type: string
        inlineElementsPlain:
          type: string
        inlineElementsXpath:
          type: string
        lockAttributesPlain:
          type: string
        lockElementsPlain:
          type: string
        lockXPath:
          type: string
        maxLenXPath:
          type: string
        preserveCharEntities:
          type: string
        preserveWhitespaceXPath:
          type: string
        rulesFormat:
          type: string
          description: 'Default: `"PLAIN"`'
          enum:
            - PLAIN
            - XPATH
        segmentation:
          type: boolean
          description: 'Default: `true`'
        segmentationExclude:
          type: boolean
          description: 'Default: `false`'
        segmentationExcludedElementsXpath:
          type: string
        tagRegexp:
          type: string
        xslFile:
          type: string
          description: UID of uploaded XSL file, overrides `xslUrl`
        xslUrl:
          type: string
    YamlSettingsDtoV1:
      type: object
      properties:
        contextKeyPath:
          type: string
        contextPath:
          type: string
        excludeValueRegexp:
          type: string
        htmlSubFilter:
          type: boolean
          description: 'Default: false'
        icuSubFilter:
          type: boolean
          description: 'Default: `false`'
        includeKeyRegexp:
          type: string
        indentEmptyLinesInString:
          type: boolean
          description: 'Default: true'
        localeFormat:
          type: string
          enum:
            - MEMSOURCE
            - RFC_5646
            - ANDROID_QUALIFIER
            - ANDROID_QUALIFIER_BCP
        markdownSubfilter:
          type: boolean
          description: 'Default: false'
        tagRegexp:
          type: string
        updateRootElementLang:
          type: boolean
          description: 'Default: false'
    MetadataPrioritySettingsDtoV1:
      type: object
      required:
        - prioritizedFields
      properties:
        prioritizedFields:
          type: array
          items:
            $ref: '#/components/schemas/MetadataPrioritySettingsDtoMetadataField'
    MetadataPrioritySettingsDtoMetadataField:
      type: object
      properties:
        type:
          type: string
          enum:
            - CLIENT
            - DOMAIN
            - SUBDOMAIN
            - FILENAME
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````